  module kind_mod

    implicit none
    integer, parameter :: r8 = selected_real_kind(12) ! 8 byte real
    integer, parameter :: r4 = selected_real_kind( 6) ! 4 byte real
    integer, parameter :: nr = kind(1.0)              ! native real
    integer, parameter :: i8 = selected_int_kind(13)  ! 8 byte integer
    integer, parameter :: i4 = selected_int_kind( 6)  ! 4 byte integer
    integer, parameter :: ni = kind(1)                ! native integer

    save

  end module kind_mod
